Skip to content
Last updated

Attributes get

api-version: 1.0

Retrieves a specific attribute.

GET /{collectionId}/{storageId}/_api/rest/facets/{facetId}/views/{viewId}/elements/{elementId}/attributes/{attributeId}

With optional parameters

GET /{collectionId}/{storageId}/_api/rest/facets/{facetId}/views/{viewId}/elements/{elementId}/attributes?$filter={filter}&$select={select}

Parameters

NameInRequiredTypeDescription
collectionIdpathtruestringThe ID of the storage collection.
storageIdpathtruestringThe ID of the tenant.
facetIdpathtruestringThe name of the facet.
viewIdpathtruestringThe name of the view.
elementIdpathtruestringThe ID of the element.
attributeIdpathtruestringThe name of the attribute.

Responses

Success 200

NameTypeDescription
countintegerThe number of returned values.
valuesAttributeThe list of attributes.

Error 4xx

NameTypeDescription
messagestringThe error message
outputOperationResultOutputThe result output.
typeOperationResultTypeThe result type.
dataOperationErrorThe list of errors.

Examples

Get the name attribute

Request

GET https://demo.symbioworld.com/pz/showcase/_api/rest/facets/processes/views/detail/elements/f4f3943d-6b3b-42a9-8a3a-30acf42ce7d5/attributes/name

Response (200 OK)

{
    "count": 1,
    "values": {
        "name": {
            "1031": "Ideen/Innovationen",
            "1033": "Idea/Innovation"
        }
    }
}

Definitions

OperationResultOutput

NameType
volatilestring
permanentstring
dialogstring
inlinestring

OperationResultType

NameType
criticalstring
errorstring
warningstring
successstring
unauthorizedstring

OperationError

NameTypeDescription
errorstringThe error message.